Package org.jsoup.internal

# Class StringUtil.StringJoiner

java.lang.Object
org.jsoup.internal.StringUtil.StringJoiner

Enclosing class:
  `StringUtil`

public static class StringUtil.StringJoiner extends Object
A StringJoiner allows incremental / filtered joining of a set of stringable objects.

Since:
  1.14.1

## Constructor Summary

Constructors
Constructor
Description
`StringJoiner(String separator)`
Create a new joiner, that uses the specified separator.

## Method Summary

Modifier and Type
Method
Description
`StringUtil.StringJoiner`
`add(Object stringy)`
Add another item to the joiner, will be separated
`StringUtil.StringJoiner`
`append(Object stringy)`
Append content to the current item; not separated
`String`
`complete()`
Return the joined string, and release the builder back to the pool.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringJoiner

public StringJoiner(String separator)
Create a new joiner, that uses the specified separator. MUST call `complete()` or will leak a thread local string builder.

Parameters:
  `separator` - the token to insert between strings

## Method Details

### add

public StringUtil.StringJoiner add(Object stringy)
Add another item to the joiner, will be separated

### append

public StringUtil.StringJoiner append(Object stringy)
Append content to the current item; not separated

### complete

public String complete()
Return the joined string, and release the builder back to the pool. This joiner cannot be reused.